Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 16:03:32 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 14 Jan 2024 21:44:53 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > There are faces that Emacs imposes that are not controlled by
> > packages.  For example, the buffer name on the mode line is displayed
> > in bold, and changing that is not easy.  Why cannot we allow users to
> > tweak this issue by providing a simple variable?  What are the
> > downsides?
> 
> It can't be guaranteed that this variable will work, because Emacs is
> not the only program synthesizing bold variants from fonts that don't
> incorporate them.  Moreover, little-used options that control these very
> particular aspects of our font display tend to fall into disrepair: for
> instance, Vvertical_centering_font_regexp didn't function on any system
> besides X, until yours truly implemented it for Android, a state of
> affairs that remained unnoticed for upwards of a decade.

I still don't understand what would be the downside of giving users
such a knob.  The worst that can happen is that this knob will
sometimes not work.  So what?

I say let's introduce it and let users who want to use it cope with
the results.  All it takes is a new DRFVAR and a single 'if'.